Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 920171 - [RFE] Allow configuration of bonded interfaces during initial configuration of RHEV-H
Summary: [RFE] Allow configuration of bonded interfaces during initial configuration o...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-node
Version: unspecified
Hardware: Unspecified
OS: Unspecified
urgent
urgent
Target Milestone: ---
: 3.5.0
Assignee: Fabian Deutsch
QA Contact: Virtualization Bugs
URL:
Whiteboard: node
Depends On: 1021649
Blocks: rhevh-for-rhev-3.3 1063972 1123329 rhev3.5beta 1156165
TreeView+ depends on / blocked
 
Reported: 2013-03-11 13:58 UTC by jon.benedict
Modified: 2016-02-10 20:09 UTC (History)
19 users (show)

Fixed In Version: ovirt-node-3.0.1-18.el6_5.1
Doc Type: Enhancement
Doc Text:
Network bonds can now be automatically configured during installation using the 'bond_setup=' and 'bond=' kernel arguments.
Clone Of:
Environment:
Last Closed: 2015-02-11 20:44:00 UTC
oVirt Team: Node
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHEA-2015:0160 normal SHIPPED_LIVE ovirt-node bug fix and enhancement update 2015-02-12 01:34:52 UTC

Description jon.benedict 2013-03-11 13:58:47 UTC
In many circumstances, there are only 2 interfaces on a given physical host. For most deployments, this means that the 2 interfaces will be bonded. I would like to request that the bonding configuration be available during the initial RHEV-H setup.

For example, in configuring RHEV-H on a Cisco UCS blade, only the "VIC" card is available, and no one is going to waste one of the 2 10GbE interfaces just for the RHEVM network. Currently the rhevm network is configured on a single interface, then the remainder of the network config is completed post-"approval". This also involves extra steps to "sync the interface", then bond. 

Allowing the configuration of bonding during the initial configuration will save time and condense steps.

Comment 1 Mike Burns 2013-03-21 12:17:40 UTC
moving to rhel ovirt-node component

Comment 5 Fabian Deutsch 2013-10-21 17:50:46 UTC
RHEV-H will probbaly support the creation of bonds during auto-install. What is missing is the automatic sync with RHEV-M.

Comment 7 Ying Cui 2014-01-21 03:27:42 UTC
BOOTIF=bond* bond_setup=bond*:ethX,ethX is supported on 6.5 base image(ovirt-3.0.1-16.el6_5, rhevh-6.5-20140110.1)

Adding Pavel(pstehlik@) in CC list to let him know this bug also related RHEV build testing.

Comment 10 Fabian Deutsch 2014-02-05 15:32:48 UTC
Tested as follows using a rhevh base image:

1. Boot with BOOTIF=bond0 bond_setup=bond0:eth0,eth1 storage_init adminpw=...
2. Wait for auto-install to complete

Results:
1. Check on status page: bond0 is shown
2. Check network page: bond0 is shown as configured

Comment 11 Guohua Ouyang 2014-02-07 05:57:52 UTC
(In reply to Fabian Deutsch from comment #10)
> Tested as follows using a rhevh base image:
> 
> 1. Boot with BOOTIF=bond0 bond_setup=bond0:eth0,eth1 storage_init adminpw=...
> 2. Wait for auto-install to complete
> 
> Results:
> 1. Check on status page: bond0 is shown
> 2. Check network page: bond0 is shown as configured

tested the auto1032 build, auto install with BOOTIF=bond0 bond_setup=bond0:eth0,eth1 storage_init adminpw=

after install complete, the bond0 is shown on status page as connected and shown as configured in network page.

Comment 16 Yaning Wang 2014-11-12 08:35:10 UTC
tested the rhev-hypervisor6-6.6-20141107.0.iso, 

auto install with 

BOOTIF=bond0 bond_setup=bond0:eth0,eth1 storage_init adminpw=

after install complete, the bond0 is shown on status page as connected and shown as configured in network page.

Comment 17 Yaning Wang 2014-11-12 08:55:19 UTC
tested the rhev-hypervisor7-7.0-20141107.0.el7ev, 

change auto install bond parameter

> https://bugzilla.redhat.com/show_bug.cgi?id=1156343

> comment 2

to

auto-install with

'BOOTIF=bond0 bond_setup=bond0:ens3 bond=bond0:ens3 storage_init adminpw='


after install complete, the bond0 is shown on status page as connected and shown as configured in network page.

Comment 18 Yaning Wang 2014-12-10 02:14:43 UTC
tested the rhev-hypervisor6-6.6-20141119.0.el6ev 

auto install with 

BOOTIF=bond0 bond_setup=bond0:eth0,eth1 storage_init adminpw=

after install complete, the bond0 is shown on status page as connected and shown as configured in network page.

Comment 20 errata-xmlrpc 2015-02-11 20:44:00 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHEA-2015-0160.html


Note You need to log in before you can comment on or make changes to this bug.